madkit.gui

## Class MASModel

- java.lang.Object
- - madkit.gui.MASModel

- All Implemented Interfaces:
    java.lang.Comparable<MASModel>

      public final class MASModel
      extends java.lang.Object
      implements java.lang.Comparable<MASModel>

  This represents a MaDKit session
  Since:
    MaDKit 5.0.0.9
  Version:
    0.91
  Author:
    Fabien Michel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MASModel(java.lang.String demoName, java.lang.String[] args, java.lang.String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MASModel o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getName()`
    `java.lang.String[]` | `getSessionArgs()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MASModel

          public MASModel(java.lang.String demoName,
                  java.lang.String[] args,
                  java.lang.String description)

  - ### Method Detail

    - #### getSessionArgs

          public java.lang.String[] getSessionArgs()

    - #### getDescription

          public java.lang.String getDescription()

    - #### getName

          public java.lang.String getName()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(MASModel o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<MASModel>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Fabien Michel, Olivier Gutknecht, Jacques Ferber - November 18 2014